Package oracle.jdbc.pool

## Enum ShardingMetadata.ShardingType

- java.lang.Object
- - java.lang.Enum<ShardingMetadata.ShardingType>
  - - oracle.jdbc.pool.ShardingMetadata.ShardingType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ShardingMetadata.ShardingType>`

Enclosing class:
  ShardingMetadata

    public static enum ShardingMetadata.ShardingType
    extends java.lang.Enum<ShardingMetadata.ShardingType>

Enum to hold the different sharding methods supported for shard keys and shard groups in the Oracle sharded database.

### Enum Constant Summary

Enum Constants
`DIRECTORY`
`HASH`
`LIST`
`NONE`
`RANGE`

### Method Summary

All Methods Static Methods Concrete Methods
`static ShardingMetadata.ShardingType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ShardingMetadata.ShardingType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HASH

    public static final ShardingMetadata.ShardingType HASH

#### LIST

    public static final ShardingMetadata.ShardingType LIST

#### RANGE

    public static final ShardingMetadata.ShardingType RANGE

#### DIRECTORY

    public static final ShardingMetadata.ShardingType DIRECTORY

#### NONE

    public static final ShardingMetadata.ShardingType NONE

### Method Detail

#### values

    public static ShardingMetadata.ShardingType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ShardingMetadata.ShardingType c : ShardingMetadata.ShardingType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ShardingMetadata.ShardingType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null